Subject: re-using 2-e integrals with Gaussian 94 (long)

From: "Robert Hinde" <[email-masked]>
Date: Wed, 13 Aug 1997 8:28:11 EST

Dear CCL colleagues:

I have a question concerning the re-use of 2-electron integrals
when performing counterpoise calculations using Gaussian 94.  I
would like to save the 2-electron integrals from a single point
energy calculation on the "full dimer" and then re-use these
integrals during the energy calculations on the individual mono-
mers.

Here is a csh script file that I thought would accomplish this for
the He-Ne dimer.  To conserve space, I'll omit the calculation for
the Ne atom in the full basis set, as it would be analogous to the
calculation for the He atom in the full basis set.  In addition,
I'll just deal with SCF energies here, but I should note that the
problem I describe below occurs during MP calculations as well.

=====
# full calculation 
# scf=conven and int=nosymm required to punch full 2-e file
g94 <<! > out.nogood.1
%chk=gt1
%int=gt1
# HF/6-311++G(d,p) scf=(conven,tight) int=nosymm

He-Ne test

0  1
He -2.00  0.00  0.00
Ne  2.00  0.00  0.00

!
# He atom in dimer basis set, reading 2-e file from above
# basis set and geometry are obtained from checkpoint file
/bin/cp gt1.chk gt2.chk
/bin/cp gt1.int gt2.int
g94 <<! > out.nogood.2
%chk=gt2
%int=gt2
%nosave
# HF/chkbasis scf=(conven,tight) geom=allcheck int=reuse massage

2 Nuc 0.0

!
# clean up from first run
/bin/rm gt1.chk gt1.int
=====

This gives me the following results:

           He-Ne: E(RHF) =  -131.386628606
He with ghost Ne: E(RHF) =  -2.86025182076

I obtain a different "He with ghost Ne" energy if I do not re-use
the 2-e integrals, as in the following script file:

=====
# He atom in dimer basis set starting from scratch
g94 <<! > out.ok
# HF/6-311++G(d,p) scf=tight massage

He-Ne test

0  1
He -2.00  0.00  0.00
Ne  2.00  0.00  0.00

2 Nuc 0.0

!
=====

This gives the following, higher energy:

He with ghost Ne: E(RHF) =  -2.85998673481

I found that I can trick Gaussian into giving me this higher energy
while re-using the 2-e integrals with the following script file,
which uses the MASSAGE keyword to break the symmetry of the full
dimer:

=====
# full calculation using massage to destroy symmetry
# scf=conven and int=nosymm required to punch full 2-e file
g94 <<! > out.trick.1
%chk=gt1
%int=gt1
# HF/6-311++G(d,p) scf=(conven,tight) int=nosymm massage

He-Ne test

0  1
He -2.00  0.00  0.00
Ne  2.00  0.00  0.00

1 Nuc 2.0

!
# He atom in dimer basis set, reading 2-e file from above
# basis set and geometry are obtained from checkpoint file
/bin/cp gt1.chk gt2.chk
/bin/cp gt1.int gt2.int
g94 <<! > out.trick.2
%chk=gt2
%int=gt2
%nosave
# HF/chkbasis scf=(conven,tight) geom=allcheck int=reuse massage

2 Nuc 0.0

!
# clean up from first run
/bin/rm gt1.chk gt1.int
=====

Using this script, I get the following results:

           He-Ne: E(RHF) =  -131.386628606
He with ghost Ne: E(RHF) =  -2.85998673481

which match those obtained without re-using integrals.

My question is this:  Why does destroying the symmetry of the full
dimer change the energy obtained for the helium monomer when the
2-e integrals are re-used?  Furthermore, I notice that the "wrong"
helium monomer energy is actually considerably lower than the "right"
energy.  For a comparison, the energy for an isolated helium atom
(i.e. with no neon ghost) using the 6-311++G(d,p) basis set is
E(RHF) =  -2.85998392082.

Any advice would be appreciated.

Robert Hinde / Univ. of Tennessee, Dept. of Chemistry / [email-masked]